Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global gitrev 1b6103d

Name:           flexiport
Version:        2.0.0
Release:        alt1_4.20120701git1b6103d
Summary:        Flexible communications library

License:        LGPLv3
URL:            https://github.com/gbiggs/flexiport
# wget --content-disposition https://github.com/gbiggs/flexiport/tarball/1b6103da
Source0:        https://github.com/gbiggs/%{name}/tarball/1b6103da/gbiggs-%{name}-%{gitrev}.tar.gz
# Submitted upstream:
# https://github.com/gbiggs/flexiport/issues/2
Patch0:         flexiport-2.0.0-gcc47.patch
BuildRequires: ctest cmake
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  python-module-sphinx
Source44: import.info

%description
Flexiport provides a consistent interface for communicating over a range of
data port types. Currently serial (including serial-over-USB), TCP and UDP
ports are supported. Logging is supported which allows communications sessions
to be played back at a later date without the original hardware present.

%package devel
Group: Other
Summary: Header files and libraries for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries and header files for %{name}

%prep
%setup -q -n gbiggs-%{name}-%{gitrev}
%patch0 -p0
# The "breathe" module is not available, so don't use it
sed -i 's/extensions/#extensions/' doc/conf.py.in
# Fix multilib installation directories
sed -i 's/\"lib\"/\"%{_lib}\"/' CMakeLists.txt

%build
%{fedora_cmake} -DBUILD_EXAMPLES=OFF  .
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-2/html/{.doctrees,.buildinfo}

%files
%doc COPYING COPYING.LESSER
%{_libdir}/*.so.*

%files devel
%{_docdir}/%{name}-2
%{_datadir}/%{name}-2
%{_includedir}/%{name}-2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_4.20120701git1b6103d
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_3.20120701git1b6103d
- initial fc import

